<?php
namespace Aura\Framework\Web\Renderer;

use Aura\Framework\Inflect;
use Aura\View\EscaperFactory;
use Aura\View\FormatTypes;
use Aura\View\HelperLocator;
use Aura\View\Template;
use Aura\View\TemplateFinder;
use Aura\View\TwoStep;
use Aura\Framework\Mock\Page;
use Aura\Web\Accept;

/**
 * Generated by PHPUnit_SkeletonGenerator 1.2.0 on 2012-11-20 at 11:34:28.
 */
class AuraViewTwoStepTest extends \PHPUnit_Framework_TestCase
{
    /**
     * @var AuraViewTwoStep
     */
    protected $renderer;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */
    protected function setUp()
    {
        // two step view
        $escaper_factory    = new EscaperFactory;
        $template_finder    = new TemplateFinder;
        $helper_locator     = new HelperLocator;
        $template           = new Template($escaper_factory, $template_finder, $helper_locator);
        $format_types       = new FormatTypes;
        $twostep            = new TwoStep($template, $format_types);
        
        // renderer
        $this->renderer     = new AuraViewTwoStep($twostep, new Inflect, new Accept($_SERVER));
    }

    /**
     * @todo   Implement test__call().
     */
    public function test__call()
    {
        $this->renderer->addInnerPath('/foo/bar');
        $expect = ['/foo/bar'];
        $actual = $this->renderer->getInnerPaths();
        $this->assertSame($expect, $actual);
    }

    /**
     * @todo   Implement testSetController().
     */
    public function testSetController()
    {
        $page = new Page;
        $this->renderer->setController($page);
        
    }

    /**
     * @todo   Implement testExec().
     */
    public function testExec()
    {
        // Remove the following lines when you implement this test.
        $this->markTestIncomplete(
          'This test has not been implemented yet.'
        );
    }
}
